com.thinkaurelius.titan.diskstorage

## Class TemporaryBackendException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.thinkaurelius.titan.diskstorage.BackendException
      - - com.thinkaurelius.titan.diskstorage.TemporaryBackendException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    TemporaryLockingException

      public class TemporaryBackendException
      extends BackendException

  This exception signifies a (potentially) temporary exception in a Titan storage backend, that is, an exception that is due to a temporary unavailability or other exception that is not permanent in nature.

  If this exception is thrown it indicates that retrying the same operation might potentially lead to success (but not necessarily)

  Author:
    Matthias Broecheler (me@matthiasb.com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TemporaryBackendException(String msg)`
    `TemporaryBackendException(String msg, Throwable cause)`
    `TemporaryBackendException(Throwable cause)` Constructs an exception with a generic message

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TemporaryBackendException

          public TemporaryBackendException(String msg)

      Parameters:
        `msg` - Exception message

    - #### TemporaryBackendException

          public TemporaryBackendException(String msg,
                                   Throwable cause)

      Parameters:
        `msg` - Exception message
        `cause` - Cause of the exception

    - #### TemporaryBackendException

          public TemporaryBackendException(Throwable cause)

      Constructs an exception with a generic message
      Parameters:
        `cause` - Cause of the exception

Copyright © 2012–2014. All rights reserved.